\begin{exercise}{4.6}
  \paragraph{Lower Bound}
  Let's imagine to pick \(k\) distinct points in the \(p\)-dimensional hypercube and doing it consecutively. In order to guarantee that no two points are closer than \(u\), a point can't be chosen inside any sphere of radius \(u\) centered in one of the previous points. An upper bound of the not allowed volume is obtained by assuming all the spheres not intersecting and full contained in the hypercube. Using all of these considerations
  \[
    \Prob{D\ge u}\ge \prod_{i=1}^{k} \left(1-(i-1)\nu_p u^p\right) 
                 = \prod_{i=1}^{k-1} \left(1-i\nu_p u^p\right).
  \]
  
  Let's distinguish two cases:
  \begin{itemize}
    \item \emph{\(k\) odd}: The product can be rewritten by pairing outer terms
          \[\prod_{i=1}^{k-1} \left(1-i\nu_p u^p\right) 
            = \prod_{j=1}^{\frac{k-1}{2}}\left(1-j\nu_p u^p\right)\left(1-(k-j)\nu_p u^p\right).\]
          Expanding the factors
          \[
            \left(1-j\nu_p u^p\right)\left(1-(k-j)\nu_p u^p\right)
             = 1 - \left(j-\left(k-j\right)\right) \nu_p u^p + j(k-j)\nu^2_p u^{2p}
             \ge 1-k\nu_p u^p,
          \]
          and since the bound does not depend on \(j\), we can finally write
          \[
            \Prob{D\ge u}\ge \left(1-k\nu_p u^p\right)^{\frac{k-1}{2}}
          \]
    \item \emph{\(k\) even}: we can write the same expression as before, but there's an extra term (the central one does not pair with anyone)
    \[
      \prod_{i=1}^{k-1} \left(1-i\nu_p u^p\right) 
      = \left[\prod_{j=1}^{\left\lfloor\frac{k-1}{2}\right\rfloor}\left(1-j\nu_p u^p\right)\left(1-(k-j)\nu_p u^p\right)\right]
             \left(1-\frac{k}2 \nu_p u^p\right).
     \]
     The right part can be estimated exactly as before, while using Bernoulli inequality on the extra term
     \[
       \left(1-\frac{k}2 \nu_p u^p\right) \ge (1 - k \nu_p u^p)^\frac{1}{2}.
     \]
     Putting all pieces together
     \[
     \Prob{D\ge u}\ge \left(1-k\nu_p u^p\right)^{\left\lfloor\frac{k-1}{2}\right\rfloor} 
                      (1 - k \nu_p u^p)^\frac{1}{2}
                  = \left(1-k\nu_p u^p\right)^{\frac{k-1}{2}},
     \]
     that is the the desired bound.
  \end{itemize}

  \paragraph{Upper Bound} As before let's pick the points consecutively. Now we would like to have a lower bound of the not allowed volume. If no to points are at distance lower than \(u\), then every point is the center of a not allowed sphere of radius \(\frac{u}{2}\) that for sure is not intersecting with any other sphere. Moreover, the minimum intersection between a sphere and an \(p\)-dimensional hypercube is \(\frac{1}{2^p}\) the volume of the sphere\footnote{Actually this is true only if \(\frac{u}2 \le 1\). Outside this regime the bound needs some corrections because we are considering sphere of radius larger than a cube, so the actual inequality is larger.}. Thus we can write
  \[
    \Prob{D\ge u} \le \prod_{i=1}^k \left(1-(i-1)\frac{1}{2^p}\left(\frac{u}{2}\right)^p \nu_p\right).
  \]
  Using the Bernoulli Inequality on each term
  \[
    \left(1-(i-1)\frac{1}{2^p}\left(\frac{u}{2}\right)^p \nu_p\right) \le 
    \left(1-\frac{u^p}{2^{2p}} \nu_p\right)^{i-1}
  \]
  The inequality becomes
  \[
    \Prob{D\ge u} \le \prod_{i=1}^k \left(1-\frac{u^p}{2^{2p}} \nu_p\right)^{i-1}
      = \left(1-\frac{u^p}{2^{2p}} \nu_p\right)^{\sum_{i=1}^k(i-1)}
      = \left(1-\frac{u^p}{2^{2p}} \nu_p\right)^{\frac{k(k-1)}{2}}.
  \]
  
  \paragraph{Limit} We would like to prove that
  \[
    \lim_{p\to+\infty} \Prob{D<u} = 0 \quad \forall u.
  \]
  Let's fix \(u\). Then 
  \[
    \lim_{p\to+\infty} \Prob{D<u} = \lim_{p\to+\infty} \left[1-\Prob{D\ge u}\right]
      \le \lim_{p\to+\infty} \left[1-\left(1-k\nu_p u^p\right)^{\frac{k-1}{2}}\right]
      = 1 - \left(1-k\left[\lim_{p\to+\infty}\nu_p u^p\right]\right)^{\frac{k-1}{2}}
  \]
  Let's recover that \(\nu_p = \frac{\pi^\frac{p}2u^p}{\Gamma{\left(\frac{p}{2}+1\right)}}\); the  numerator in \(nu_p u^p\) grows exponentially in \(p\), while the denominator grows faster than \(\left(\frac{p}e\right)^p\), so 
  \[
    \lim_{p\to+\infty}\nu_p u^p = 0 \quad \implies \quad \lim_{p\to+\infty} \Prob{D<u} = 0.
  \]
\end{exercise}